XPlanner

Docs

Read idea details

Reads a single idea record by id. If there are media links, they are returned in the media field in the response.


GET

/ideas/{id}

ideas:read

Header'lar

Authorization

*
string

API key. Format: Bearer xpl_live_...

Cevaplar

200

Idea detail.

404

No idea found or no access.

cURL

curl https://api.xplanner.co/v1/ideas/idea_123 \  -H "Authorization: Bearer $XPLANNER_API_KEY"

Cevap

{  "data": {    "id": "idea_123",    "accountId": "acc_123",    "folderId": "fld_123",    "title": "API lansmanı",    "content": "Public API ile içerik akışını dış araçlara aç.",    "isPinned": true,    "media": [],    "workspaceId": "wrk_123",    "xUserId": "123456789",    "createdAt": "2026-05-15T09:00:00.000Z",    "updatedAt": "2026-05-15T09:00:00.000Z"  },  "requestId": "req_123"}